Bug 1928 - The ypbind script may not bind the domain in time.
The ypbind script may not bind the domain in time.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: ypbind (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-01 02:11 EST by dfm
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-01 16:37:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dfm 1999-04-01 02:11:42 EST
I've observed that, when ypbind is used in broadcast mode,
other scripts may be run before the ypbind daemon has
received and processed the response to its broadcast
request.

If amd is also being started at boot time, and expects to
obtain one or more mount maps through NIS, it will
effectively give up on those mount maps if it can't get them
on the first try. In that case, it must be stopped and
started anew -- even a restart via SIGHUP won't help.

The fix I adopted involves adding a loop to
/etc/rc.d/init.d/ypbind, after it has invoked "daemon
ypbind", which tries "ypwhich" once every second until that
program returns a nonzero exit status. (The actual patch
will follow by mail once I have a bug number.)

I've encountered this problem on two different machines
running Red Hat 5.2. A quick inspection of the ypbind script
in 5.9 (Starbuck) suggests that it is vulnerable to the same
thing, but I haven't demonstrated that under conditions of
actual use.

------- Email Received From  Dan Martinez <dfm@area.com> 04/01/99 03:59 -------
Comment 1 Preston Brown 1999-04-01 16:37:59 EST
Thanks very much for the fix, it is sane and looks professional.

Fixed in ypbind-3.3-16.

Note You need to log in before you can comment on or make changes to this bug.